Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.Designer.cs	(revision 51)
@@ -0,0 +1,364 @@
+﻿namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmRequestInput
+    {
+        /// <summary>
+        /// 必要なデザイナー変数です。
+        /// </summary>
+        private System.ComponentModel.IContainer components = null;
+
+        /// <summary>
+        /// 使用中のリソースをすべてクリーンアップします。
+        /// </summary>
+        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
+        protected override void Dispose(bool disposing)
+        {
+            if (disposing && (components != null))
+            {
+                components.Dispose();
+            }
+            base.Dispose(disposing);
+        }
+
+        #region Windows フォーム デザイナーで生成されたコード
+
+        /// <summary>
+        /// デザイナー サポートに必要なメソッドです。このメソッドの内容を
+        /// コード エディターで変更しないでください。
+        /// </summary>
+        private void InitializeComponent()
+        {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle64 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle65 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle66 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle67 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle68 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle69 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle70 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle71 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle72 = new System.Windows.Forms.DataGridViewCellStyle();
+            this.label3 = new System.Windows.Forms.Label();
+            this.dgv1 = new System.Windows.Forms.DataGridView();
+            this.GridSectionIndex = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.GridRowKind = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.GridConstructionCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col0 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.col11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.label2 = new System.Windows.Forms.Label();
+            this.label1 = new System.Windows.Forms.Label();
+            this.button3 = new System.Windows.Forms.Button();
+            this.button2 = new System.Windows.Forms.Button();
+            this.btnAdd = new System.Windows.Forms.Button();
+            this.btnOtherProc = new System.Windows.Forms.Button();
+            this.lblStatus = new System.Windows.Forms.Label();
+            ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
+            this.SuspendLayout();
+            // 
+            // label3
+            // 
+            this.label3.BackColor = System.Drawing.Color.White;
+            this.label3.Font = new System.Drawing.Font("ＭＳ Ｐゴシック", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label3.Location = new System.Drawing.Point(495, 20);
+            this.label3.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(340, 38);
+            this.label3.TabIndex = 3;
+            this.label3.Text = "請　　求　　入　　力";
+            this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // dgv1
+            // 
+            this.dgv1.AllowUserToAddRows = false;
+            this.dgv1.ColumnHeadersHeight = 34;
+            this.dgv1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgv1.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.GridSectionIndex,
+            this.GridRowKind,
+            this.GridConstructionCode,
+            this.col0,
+            this.col1,
+            this.col3,
+            this.col4,
+            this.col5,
+            this.col6,
+            this.col7,
+            this.col8,
+            this.col11});
+            this.dgv1.Location = new System.Drawing.Point(12, 108);
+            this.dgv1.Name = "dgv1";
+            this.dgv1.RowHeadersWidth = 24;
+            this.dgv1.RowTemplate.Height = 21;
+            this.dgv1.Size = new System.Drawing.Size(1306, 547);
+            this.dgv1.TabIndex = 4;
+            this.dgv1.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellContentClick);
+            this.dgv1.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellValueChanged);
+            this.dgv1.CurrentCellChanged += new System.EventHandler(this.dgv1_CurrentCellChanged);
+            this.dgv1.SelectionChanged += new System.EventHandler(this.dgv1_SelectionChanged);
+            // 
+            // GridSectionIndex
+            // 
+            this.GridSectionIndex.Frozen = true;
+            this.GridSectionIndex.HeaderText = "";
+            this.GridSectionIndex.Name = "GridSectionIndex";
+            this.GridSectionIndex.Visible = false;
+            // 
+            // GridRowKind
+            // 
+            this.GridRowKind.Frozen = true;
+            this.GridRowKind.HeaderText = "";
+            this.GridRowKind.Name = "GridRowKind";
+            this.GridRowKind.Visible = false;
+            // 
+            // GridConstructionCode
+            // 
+            this.GridConstructionCode.Frozen = true;
+            this.GridConstructionCode.HeaderText = "";
+            this.GridConstructionCode.Name = "GridConstructionCode";
+            this.GridConstructionCode.Visible = false;
+            // 
+            // col0
+            // 
+            this.col0.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
+            dataGridViewCellStyle64.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle64.BackColor = System.Drawing.SystemColors.Control;
+            this.col0.DefaultCellStyle = dataGridViewCellStyle64;
+            this.col0.Frozen = true;
+            this.col0.HeaderText = "";
+            this.col0.Name = "col0";
+            this.col0.ReadOnly = true;
+            this.col0.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.col0.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col0.Width = 80;
+            // 
+            // col1
+            // 
+            dataGridViewCellStyle65.BackColor = System.Drawing.Color.White;
+            this.col1.DefaultCellStyle = dataGridViewCellStyle65;
+            this.col1.Frozen = true;
+            this.col1.HeaderText = "工事名";
+            this.col1.Name = "col1";
+            this.col1.ReadOnly = true;
+            this.col1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col1.Width = 340;
+            // 
+            // col3
+            // 
+            dataGridViewCellStyle66.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle66.BackColor = System.Drawing.Color.White;
+            this.col3.DefaultCellStyle = dataGridViewCellStyle66;
+            this.col3.Frozen = true;
+            this.col3.HeaderText = "受注金額";
+            this.col3.Name = "col3";
+            this.col3.ReadOnly = true;
+            this.col3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col3.Width = 120;
+            // 
+            // col4
+            // 
+            dataGridViewCellStyle67.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle67.BackColor = System.Drawing.SystemColors.Control;
+            this.col4.DefaultCellStyle = dataGridViewCellStyle67;
+            this.col4.Frozen = true;
+            this.col4.HeaderText = "";
+            this.col4.Name = "col4";
+            this.col4.ReadOnly = true;
+            this.col4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col4.Width = 120;
+            // 
+            // col5
+            // 
+            dataGridViewCellStyle68.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col5.DefaultCellStyle = dataGridViewCellStyle68;
+            this.col5.FillWeight = 120F;
+            this.col5.Frozen = true;
+            this.col5.HeaderText = "合計";
+            this.col5.Name = "col5";
+            this.col5.ReadOnly = true;
+            this.col5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col5.Width = 120;
+            // 
+            // col6
+            // 
+            dataGridViewCellStyle69.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col6.DefaultCellStyle = dataGridViewCellStyle69;
+            this.col6.HeaderText = "1回目";
+            this.col6.Name = "col6";
+            this.col6.ReadOnly = true;
+            this.col6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col6.Width = 120;
+            // 
+            // col7
+            // 
+            dataGridViewCellStyle70.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col7.DefaultCellStyle = dataGridViewCellStyle70;
+            this.col7.HeaderText = "2回目";
+            this.col7.Name = "col7";
+            this.col7.ReadOnly = true;
+            this.col7.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col7.Width = 120;
+            // 
+            // col8
+            // 
+            dataGridViewCellStyle71.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col8.DefaultCellStyle = dataGridViewCellStyle71;
+            this.col8.HeaderText = "3回目";
+            this.col8.Name = "col8";
+            this.col8.ReadOnly = true;
+            this.col8.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col8.Width = 120;
+            // 
+            // col11
+            // 
+            dataGridViewCellStyle72.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.col11.DefaultCellStyle = dataGridViewCellStyle72;
+            this.col11.HeaderText = "残り";
+            this.col11.Name = "col11";
+            this.col11.ReadOnly = true;
+            this.col11.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.col11.Width = 120;
+            // 
+            // label2
+            // 
+            this.label2.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label2.CausesValidation = false;
+            this.label2.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label2.Location = new System.Drawing.Point(12, 72);
+            this.label2.Name = "label2";
+            this.label2.Size = new System.Drawing.Size(80, 25);
+            this.label2.TabIndex = 7;
+            this.label2.Text = "請求先";
+            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // label1
+            // 
+            this.label1.BackColor = System.Drawing.Color.White;
+            this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label1.Location = new System.Drawing.Point(98, 72);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(400, 25);
+            this.label1.TabIndex = 8;
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            // 
+            // button3
+            // 
+            this.button3.BackColor = System.Drawing.Color.GreenYellow;
+            this.button3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button3.ForeColor = System.Drawing.Color.Black;
+            this.button3.Location = new System.Drawing.Point(1073, 671);
+            this.button3.Name = "button3";
+            this.button3.Size = new System.Drawing.Size(120, 28);
+            this.button3.TabIndex = 16;
+            this.button3.Text = "登　録";
+            this.button3.UseVisualStyleBackColor = false;
+            this.button3.Click += new System.EventHandler(this.button3_Click);
+            // 
+            // button2
+            // 
+            this.button2.BackColor = System.Drawing.Color.Magenta;
+            this.button2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.button2.ForeColor = System.Drawing.Color.Black;
+            this.button2.Location = new System.Drawing.Point(1199, 671);
+            this.button2.Name = "button2";
+            this.button2.Size = new System.Drawing.Size(120, 28);
+            this.button2.TabIndex = 15;
+            this.button2.Text = "終　了";
+            this.button2.UseVisualStyleBackColor = false;
+            this.button2.Click += new System.EventHandler(this.button2_Click);
+            // 
+            // btnAdd
+            // 
+            this.btnAdd.BackColor = System.Drawing.Color.Orange;
+            this.btnAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAdd.ForeColor = System.Drawing.Color.Black;
+            this.btnAdd.Location = new System.Drawing.Point(158, 671);
+            this.btnAdd.Name = "btnAdd";
+            this.btnAdd.Size = new System.Drawing.Size(120, 28);
+            this.btnAdd.TabIndex = 17;
+            this.btnAdd.Text = "回数追加";
+            this.btnAdd.UseVisualStyleBackColor = false;
+            this.btnAdd.Click += new System.EventHandler(this.btnAdd_Click);
+            // 
+            // btnOtherProc
+            // 
+            this.btnOtherProc.BackColor = System.Drawing.Color.Lime;
+            this.btnOtherProc.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnOtherProc.ForeColor = System.Drawing.Color.Black;
+            this.btnOtherProc.Location = new System.Drawing.Point(12, 671);
+            this.btnOtherProc.Name = "btnOtherProc";
+            this.btnOtherProc.Size = new System.Drawing.Size(140, 28);
+            this.btnOtherProc.TabIndex = 18;
+            this.btnOtherProc.Text = "他の画面へ";
+            this.btnOtherProc.UseVisualStyleBackColor = false;
+            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
+            // 
+            // lblStatus
+            // 
+            this.lblStatus.BackColor = System.Drawing.Color.GreenYellow;
+            this.lblStatus.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.lblStatus.Location = new System.Drawing.Point(1177, 72);
+            this.lblStatus.Name = "lblStatus";
+            this.lblStatus.Size = new System.Drawing.Size(141, 26);
+            this.lblStatus.TabIndex = 20;
+            this.lblStatus.Text = "請求準備";
+            this.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // FrmRequestInput
+            // 
+            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.None;
+            this.BackColor = System.Drawing.Color.Black;
+            this.ClientSize = new System.Drawing.Size(1330, 710);
+            this.Controls.Add(this.lblStatus);
+            this.Controls.Add(this.dgv1);
+            this.Controls.Add(this.btnOtherProc);
+            this.Controls.Add(this.btnAdd);
+            this.Controls.Add(this.button3);
+            this.Controls.Add(this.button2);
+            this.Controls.Add(this.label1);
+            this.Controls.Add(this.label2);
+            this.Controls.Add(this.label3);
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
+            this.Margin = new System.Windows.Forms.Padding(4);
+            this.MaximizeBox = false;
+            this.MinimizeBox = false;
+            this.Name = "FrmRequestInput";
+            this.Load += new System.EventHandler(this.Form1_Load);
+            ((System.ComponentModel.ISupportInitialize)(this.dgv1)).EndInit();
+            this.ResumeLayout(false);
+
+        }
+
+        #endregion
+
+        private System.Windows.Forms.Label label3;
+        private System.Windows.Forms.DataGridView dgv1;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.Button button3;
+        private System.Windows.Forms.Button button2;
+        private System.Windows.Forms.Button btnAdd;
+        private System.Windows.Forms.Button btnOtherProc;
+        private System.Windows.Forms.Label lblStatus;
+        private System.Windows.Forms.DataGridViewTextBoxColumn GridSectionIndex;
+        private System.Windows.Forms.DataGridViewTextBoxColumn GridRowKind;
+        private System.Windows.Forms.DataGridViewTextBoxColumn GridConstructionCode;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col0;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col5;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col8;
+        private System.Windows.Forms.DataGridViewTextBoxColumn col11;
+    }
+}
+
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 51)
@@ -0,0 +1,365 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+using System.Collections;
+
+using ProcessManagement.Common;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.Forms.SubForms;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmRequestInput : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 2016017301;
+
+        /// <summary>
+        /// 終了状態フラグ
+        /// </summary>
+        private DialogResult m_EndButton = DialogResult.None;
+
+        /// <summary>
+        /// 一括/分割
+        /// </summary>
+        private int m_BillingSplitFlg = 0;
+
+        // *-----* 共通処理設定 *-----*
+        /// <summary>
+        /// サブフォームフラグ
+        /// </summary>
+        private bool m_SubForm = false;
+        /// <summary>
+        /// 呼出元終了フラグ
+        /// </summary>
+        private bool m_ParentEnd = false;
+        // *-----* 共通処理設定 *-----*
+
+        private bool m_CloseingProcessOn = false;
+
+        private bool m_bChengeAns = false;
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        public DialogResult EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
+        /// 検索タイプ       Add BIT 2017/02/22
+        /// </summary>
+        public int BillingSplitFlg
+        {
+            get { return m_BillingSplitFlg; }
+            set { m_BillingSplitFlg = value; }
+        }
+
+        #endregion
+
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmRequestInput()
+        {
+            InitializeComponent();
+        }
+
+        private void Form1_Load(object sender, EventArgs e)
+        {
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            // DataGridViewに項目名を設定
+            SetGridDisplay();
+
+            dgv1.Visible = true;
+
+            dgv1.CellValueChanged += dgv1_CellValueChanged;
+            dgv1.CellDoubleClick += dgv1_CellDoubleClicked;
+
+            // [回数追加]ボタンの制御
+            btnAdd.Enabled = GetbtnAddEnabled();
+
+            // *-----* 処理移動ボタン設定 *-----*
+            CreateProcessContextMenu(m_SubForm);
+            // *-----* 処理移動ボタン設定 *-----*
+
+        }
+
+        // 
+        private void dgv1_SelectionChanged(object sender, EventArgs e)
+        {
+            
+        }
+
+        private void dgv1_CurrentCellChanged(object sender, EventArgs e)
+        {
+            DataGridView dgv = sender as DataGridView;
+            DataGridViewCell cell = dgv.CurrentCell;
+
+            int cnt = dgv.ColumnCount;
+        }
+
+        // DataGridViewのセルクリック時
+        private void dgv1_CellContentClick(object sender, DataGridViewCellEventArgs e)
+        {
+
+        }
+
+        /// <summary>
+        /// セルの値が変更された際のコールバック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            try
+            {
+                if ((e.RowIndex >= 0) && (e.ColumnIndex >= 0))
+                {
+                    // 請求明細列以外は無視
+                    int minIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, 1);
+                    int maxIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, m_RequestColumnCount);
+                    if ((e.ColumnIndex >= minIndex) && (e.ColumnIndex <= maxIndex))
+                    {
+                        var targetCell = dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex] as DataGridViewCell;
+                        RowSectionIndex sectionIndex = (RowSectionIndex)dgv1.Rows[e.RowIndex].Cells[GetColumnIndexNum(ColumnIndex.SectionIndex)].Value;
+
+                        // 本工事セクションか増減工事セクション以外は無視
+                        if ((sectionIndex == RowSectionIndex.OriginalConstruction) || (sectionIndex == RowSectionIndex.ChildConstruction))
+                        {
+                            if (targetCell.Value.GetType() == typeof(string))
+                            {
+                                double dest = 0;
+                                double.TryParse((string)targetCell.Value, out dest);
+                                targetCell.Value = dest;
+                                targetCell.Style.ForeColor = (dest < 0) ? Color.Red : Color.Black;
+                            }
+
+                            // 自動計算セル再計算
+                            SetAutoCalcCell(dgv1.Rows[e.RowIndex]);
+
+                            // 該当列の合計セクションを計算
+                            SetTotalInfoColumn(e.ColumnIndex);
+
+                            // 合計セクションの合計列および残り列の計算
+                            SetTotalSectionInfo();
+
+                        }
+
+                    }
+
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+            dgv1.CellValueChanged += dgv1_CellValueChanged;
+
+        }
+
+        /// <summary>
+        /// 「回数追加」ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnAdd_Click(object sender, EventArgs e)
+        {
+            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+
+            try
+            {
+                AddRequest();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+            dgv1.CellValueChanged += dgv1_CellValueChanged;
+        }
+
+        /// <summary>
+        /// 「他の画面へ」ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        //private void btnOtherProc_Click(object sender, EventArgs e)
+        //{
+        //    // 暫定的に直接印刷画面を表示する
+        //    FrmRequestPrint frmRequestPrint = new FrmRequestPrint();
+
+        //    // パラメータを渡す
+        //    frmRequestPrint.RequestNo = m_RequestData.RequestNo;
+        //    frmRequestPrint.ConstructionCode = m_ConstructionCode;
+
+        //    frmRequestPrint.ShowDialog();
+           
+
+        //}
+
+        /// <summary>
+        /// セルダブルクリック時の処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellDoubleClicked(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                // 確認のためのインデックス取得
+                int statRowIndex = GetRowIndexNum(RowSectionIndex.Header, RowKind.ApprobalStatus);
+                int minStatColIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, 1);
+                int maxStatColIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, m_LstRequestTotalData.Count);
+
+                // 対象セルがステータス行であることを確認
+                if (e.RowIndex == statRowIndex)
+                {
+                    // 対象セルが請求明細列であることを確認
+                    if ((e.ColumnIndex >= minStatColIndex) && (e.ColumnIndex <= maxStatColIndex))
+                    {
+                        int orderNo = m_LstRequestTotalData[e.ColumnIndex - minStatColIndex].OrderNo;
+
+                        // 請求書申請チェックを実施
+                        if (checkApproval(orderNo))
+                        {
+                            // チェック結果がOKなら以下の処理を実施
+
+                            // 承認画面を表示
+                            FrmApprovalScreen frmApprovalScreen = new FrmApprovalScreen();
+                            frmApprovalScreen.ConstructionCode = m_ConstructionCode;
+                            frmApprovalScreen.ApprovalCode = 5;
+                            frmApprovalScreen.OrderNo = orderNo;
+                            frmApprovalScreen.ShowDialog();
+
+                        }
+
+                        // 承認データを再取得
+                        m_DicProcessApproval.Clear();
+                        GetProcessApproval(m_ConstructionCode, ref m_DicProcessApproval);
+
+                        // 対象の請求明細列を再表示
+                        SetRequestInfoColumn(orderNo - 1);
+
+                    }
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+
+        /// <summary>
+        /// 登録ボタン押下時処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void button3_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ登録処理
+                AcceptData();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+
+        /// <summary>
+        /// 終了ボタン押下時処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void button2_Click(object sender, EventArgs e)
+        {
+
+            m_EndButton = DialogResult.Cancel;
+
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+            
+            Close();
+        }
+
+        /// <summary>
+        /// [回数追加]ボタン活性状態の取得
+        /// </summary>
+        private bool GetbtnAddEnabled()
+        {
+            // 入金が完了している場合
+            if (m_ConstructionLedger.ComplateFlg == 1)
+            {
+                return false;
+            }
+
+            // 分割払いの場合
+            if (m_BillingSplitFlg == 1)
+            {
+                return true;
+            }
+
+            double totalDiff = 0;
+
+            // 繰越金額がある場合
+            // 合計値を計算
+            foreach (var detail in m_LstRequestTotalData)
+            {
+                if (m_DicDepositDataDetail.ContainsKey(detail.OrderNo))
+                {
+                    var depDetail = m_DicDepositDataDetail[detail.OrderNo];
+                    totalDiff += depDetail.CarryAmount;
+                }
+            }
+
+            // 繰越金が存在する場合
+            if (totalDiff > 0)
+            {
+                return true;
+            }
+
+            return false;
+        }
+
+
+    }
+}
